Public Class fmMain

    Private Sub bnDoIt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bnDoIt.Click
        Dim cp As New CheckPermission.CheckPerm

        ' quick sanity check...
        If tbPath.Text = "" Or tbUser.Text = "" Or cmbPerm.Text = "" Then
            MsgBox("Hey, you forgot to provide required data")
            Exit Sub
        End If

        Try
            Dim ans As Boolean
            ans = cp.CheckPerm(tbPath.Text, tbUser.Text, cmbPerm.Text)
            If ans Then
                MsgBox("Permission is granted")
            Else
                MsgBox("Permission is denied")
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        tbUser.Text = Environment.UserDomainName & "\" & Environment.UserName

        cmbPerm.Items.Clear()
        cmbPerm.Items.Add("Full Control")
        cmbPerm.Items.Add("Modify")
        cmbPerm.Items.Add("Read & Execute")
        cmbPerm.Items.Add("Read")
        cmbPerm.Items.Add("Write")
        cmbPerm.Items.Add("Execute")
        cmbPerm.Text = "Read"
    End Sub

    Private Sub bnBrowse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bnBrowse.Click
        OpenFileDialog1.Multiselect = False
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            tbPath.Text = OpenFileDialog1.FileName
        End If
    End Sub
End Class
